All operations require authentication.
List xDSL Email Pro accountsProduction
Returns the email addresses of the Email Pro accounts provided with the xDSL accesses.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ email/ pro \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an xDSL Email Pro accountProduction
Returns the login, names, primary address, quota and usage, state and last logon and logoff dates of an Email Pro account.
Path parameters
Response
Mailbox usage
Account display name
Email domain
Account first name
IAM resource metadata
Account id
Account initials
Last logoff
Last logon
Account last name
Account login
Time of account's password last update
Default email for this mailbox
Account maximum size
Account state
creatingdeletingokreopeningsuspendedsuspendingunknownPending tasks for this account
Example uses email = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ email/ pro/ {email} \
-H "authorization: Bearer $OVH_TOKEN"{ "currentUsage": { "unit": "string", "value": 0 }, "displayName": "string", "domain": "string", "firstName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": 0, "initial": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "login": "string", "passwordLastUpdate": "2024-01-01T12:00:00Z", "primaryEmailAddress": "string", "quota": { "unit": "string", "value": 0 }, "state": "creating", "taskPendingId": 0}
Update an xDSL Email Pro accountProduction
Changes the first name, last name, initials and display name of the Email Pro account.
Path parameters
Request body (required)
Mailbox usage
Account display name
Email domain
Account first name
Account id
Account initials
Last logoff
Last logon
Account last name
Account login
Time of account's password last update
Default email for this mailbox
Account maximum size
Account state
creatingdeletingokreopeningsuspendedsuspendingunknownPending tasks for this account
Response
Example uses email = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ email/ pro/ {email} \
-H "authorization: Bearer $OVH_TOKEN"Delete an xDSL Email Pro accountProduction
Deletes the Email Pro account and its mailbox.
Path parameters
Response
Example uses email = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ email/ pro/ {email} \
-H "authorization: Bearer $OVH_TOKEN"Change the password of an xDSL Email Pro accountProduction
Sets a new password for the Email Pro account. Returns the task that performs the change.
Path parameters
Request body (required)
New email password
Response
Finished date of the task
Function of the task
Status of an Email Pro task.
cancelleddoingdoneerrortodoTodo date of the task
Example uses email = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ email/ pro/ {email}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}